## org.mortbay.http
Class Version

    java.lang.Object
      |
      +--org.mortbay.http.Version

public class Version
extends java.lang.Object

Jetty version. This class sets the version data returned in the Server and Servlet-Container headers. If the java.org.mortbay.http.Version.paranoid System property is set to true, then this information is suppressed.

Version:
  $Revision: 1.13 $
Author:
  Greg Wilkins (gregw)

Field Summary
`static java.lang.String` `__Container`
`static java.lang.String` `__notice`
`static boolean` `__paranoid`
`static java.lang.String` `__Version`
`static java.lang.String` `__VersionDetail`
`static java.lang.String` `__VersionImpl`

Constructor Summary
`Version()`

Method Summary
`static void` `main(java.lang.String[] arg)`
`static void` `updateVersion()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __paranoid

    public static boolean __paranoid

### __Version

    public static java.lang.String __Version

### __VersionImpl

    public static java.lang.String __VersionImpl

### __VersionDetail

    public static java.lang.String __VersionDetail

### __Container

    public static java.lang.String __Container

### __notice

    public static java.lang.String __notice

Constructor Detail

### Version

    public Version()

Method Detail

### main

    public static void main(java.lang.String[] arg)

### updateVersion

    public static void updateVersion()

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.